<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * fck editor install 
 * @author		Jade Xia
 * @copyright	Copyright (c) 2010 - 2011 天夏网络.
 * @link		http://www.tianxianet.com
 */
class Fck_model extends Model
{
	function Fck_model()
	{
		parent::Model();
	}
	 function fckeditor($name, $value='', $toolbar='Custom')
     {
		 $editer_dir = 'editor/fckeditor/'; 
        
         include $editer_dir.'fckeditor.php'; 
		         
         $oFCKeditor = new FCKeditor($name);
         $oFCKeditor->BasePath   = ROOT_PATH.$editer_dir;
         $oFCKeditor->ToolbarSet = $toolbar; //Basic,Default
         $oFCKeditor->Value = $value;
         $oFCKeditor->Height = 400;
         $oFCKeditor->Width = "100%";
        
         return $oFCKeditor;
     }
}

/* end of file fck_model.php*/